Subject: bug#57264: 29.0.50; Wrong xcursor colour when over an Emacs frame

From: Visuwesh <[email-masked]>
Date: Fri, 19 Aug 2022 20:17:23 +0530

[வெள்ளி ஆகஸ்ட் 19, 2022] Po Lu via "Bug reports for GNU Emacs, the Swiss army knife of text editors" wrote:

> Visuwesh <[email-masked]> writes:
>
>> Thanks.  But do you know why I am seeing this behaviour?  I cannot see
>> what is wrong with the theme.  Supposedly, the input to the xcursorgen
>> program and the image files are good.  I opened the generated Xcursor
>> file in GIMP and it is also of the expected colours.  I am unfortunately
>> lost and I would be really grateful if you can give any pointers.
>
> The Xcursor library doesn't set foreground and background colors for
> core cursors by default, and the application didn't set them either.

I see, thanks.

>> BTW, all this made me think: why not let the user set the foreground
>> colour of the cursor, via the mouse face, too?  This would at least
>> solve my problem immediately despite being an awful hack.
>
> I think that would work.  I will work on it but it may or may not take a
> while depending on how busy I am in the next several days.

There's no rush, thanks for all the work you do!